org.apache.lucene.search

## Class DiversifiedTopDocsCollector.ScoreDocKey

- java.lang.Object
- - org.apache.lucene.search.ScoreDoc
  - - org.apache.lucene.search.DiversifiedTopDocsCollector.ScoreDocKey

Enclosing class:
  DiversifiedTopDocsCollector

    public static class DiversifiedTopDocsCollector.ScoreDocKey
    extends ScoreDoc

An extension to ScoreDoc that includes a key used for grouping purposes

### Field Summary

### Fields inherited from class org.apache.lucene.search.ScoreDoc

`doc, score, shardIndex`

### Constructor Summary

Constructors
`protected` `ScoreDocKey(int doc, float score)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Long` `getKey()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScoreDocKey

    protected ScoreDocKey(int doc,
                          float score)

### Method Detail

#### getKey

    public Long getKey()

#### toString

    public String toString()

Overrides:
  `toString` in class `ScoreDoc`